Kubernetes
probe Node

# get_all_node_status_conditions

Retrieve all nodes conditions and statuses.

Run it now
View details

Type | probe
Module | chaosk8s.node.probes
Name | get_all_node_status_conditions
Return | list

Usage

JSON

    {
      "name": "get-all-node-status-conditions",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.probes",
        "func": "get_all_node_status_conditions"
      }
    }

YAML

    name: get-all-node-status-conditions
    provider:
      func: get_all_node_status_conditions
      module: chaosk8s.node.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
label_selector | string |  | No | Label Selector | Target a subset of all the nodes only

Retrieve all nodes conditions and statuses.

Signature

    def get_all_node_status_conditions(
            label_selector: str = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, str]]:
        pass

## Related starters

- Kubernetes
  probe Node

  ## `verify_nodes_condition`

  Verify the condition value for a set of nodes
- Kubernetes
  action Node

  ## `drain_nodes`

  Drain nodes matching the given label or name, so that no pods are scheduled on them any longer and running pods are evicted
- Kubernetes
  action Node

  ## `uncordon_node`

  Uncordon nodes matching the given label name, so that pods can be scheduled on them again